<?php

namespace App\Repositories\Shop;

use App\Models\Shop\Content;
use App\Traits\Model\Basic;

class Contents
{
    use Basic;

    public static function getLast()
    {
        $model = Content::latest('id')->first();

        return $model ? $model->text : '';
    }

    public static function getHomepage()
    {
        return self::get(1)->text ?? '';
    }

    public static function getFooter()
    {
        return self::get(2)->text ?? '';
    }

    public static function getExtraFooter()
    {
        return self::get(3)->text ?? '';
    }

    public static function getBasketContent()
    {
        return self::get(4)->text ?? '';
    }

    public static function getOrderConfirmedContent()
    {
        return self::get(5)->text ?? 'Votre commande a été confirmée';
    }

    public static function getOrderConfirmedByCheckContent()
    {
        return self::get(10)->text ?? 'Votre commande a bien été enregistrée, elle vous sera expédiée dès réception de votre chèque.';
    }

    public static function getOrderConfirmedByWireContent()
    {
        return self::get(11)->text ?? 'Votre commande a bien été enregistrée, elle vous sera expédiée dès réception de votre virement.';
    }

    public static function getPayboxConfirmedContent()
    {
        return self::get(6)->text ?? 'Merci pour votre règlement. Votre commande sera traitée sous peu.';
    }

    public static function getPayboxRefusedContent()
    {
        return self::get(7)->text ?? 'Le paiement a été refusé.';
    }

    public static function getPayboxAbortedContent()
    {
        return self::get(8)->text ?? 'Le paiement a été annulé.';
    }

    public static function getPayboxWaitingContent()
    {
        return self::get(9)->text ?? 'Votre paiement est en attente. Cela peut prendre un certain temps jusqu\'à ce qu\'il soit terminé.';
    }


    public static function getModel()
    {
        return Content::query();
    }
}
